it-swarm.com.de

18.04 Sudo Prime-Select Intel gibt ERROR, die installierten Pakete unterstützen PRIME nicht

18.04 Dell XPS 15

Sudo prime-select intel

gibt ERROR, die installierten Pakete unterstützen PRIME nicht

Wo kann ich mehr darüber erfahren, wie ich vorgehen soll?

1
Tom Mercer

Versuchen

Sudo apt install nvidia-prime

Möglicherweise müssen Sie auch Folgendes tun: hier beschrieben :

Sudo systemctl disable nvidia-fallback.service

Hinzufügen

nouveau.blacklist=1

in/etc/default/grub in der Zeile GRUB_CMD_LINUX_DEFAULT

Sudo update-grub

Installieren Sie bbswitch-dkms (Sudo apt install bbswitch-dkms) und fügen Sie bbswitch zu/etc/modules hinzu

2
Mr.WorshipMe

Ich hatte das gleiche Problem mit meinem GTX 1050 auf Ubuntu 18.04.

Installieren Sie den nvidia-Treiber (in meinem Fall nvidia-driver-390)

Öffne /etc/default/grub und entferne alle Optionen in GRUB_CMDLINE_LINUX_DEFAULT und in GRUB_CMDLINE_LINUX

Führen Sie Sudo update-grub aus und starten Sie es neu.

Jetzt können Sie Sudo prime-select intel ohne Fehler ausführen. Sie können auch die Benutzeroberfläche für NVIDIA-Einstellungen verwenden, um zu definieren, welche GPU unter PRIME-Profilen verwendet werden soll

0
KasterShoot